# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/HgExportDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgExportDialog(object):
    def setupUi(self, HgExportDialog):
        HgExportDialog.setObjectName("HgExportDialog")
        HgExportDialog.resize(450, 400)
        HgExportDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(HgExportDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=HgExportDialog)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.directoryPicker = EricPathPicker(parent=HgExportDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.directoryPicker.sizePolicy().hasHeightForWidth())
        self.directoryPicker.setSizePolicy(sizePolicy)
        self.directoryPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.directoryPicker.setObjectName("directoryPicker")
        self.gridLayout.addWidget(self.directoryPicker, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=HgExportDialog)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.patternEdit = QtWidgets.QLineEdit(parent=HgExportDialog)
        self.patternEdit.setObjectName("patternEdit")
        self.gridLayout.addWidget(self.patternEdit, 1, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=HgExportDialog)
        self.label_3.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.changesetsEdit = QtWidgets.QPlainTextEdit(parent=HgExportDialog)
        self.changesetsEdit.setTabChangesFocus(True)
        self.changesetsEdit.setLineWrapMode(QtWidgets.QPlainTextEdit.LineWrapMode.NoWrap)
        self.changesetsEdit.setObjectName("changesetsEdit")
        self.gridLayout.addWidget(self.changesetsEdit, 2, 1, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=HgExportDialog)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 3, 0, 1, 1)
        self.bookmarkCombo = QtWidgets.QComboBox(parent=HgExportDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.bookmarkCombo.sizePolicy().hasHeightForWidth())
        self.bookmarkCombo.setSizePolicy(sizePolicy)
        self.bookmarkCombo.setObjectName("bookmarkCombo")
        self.gridLayout.addWidget(self.bookmarkCombo, 3, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.switchParentCheckBox = QtWidgets.QCheckBox(parent=HgExportDialog)
        self.switchParentCheckBox.setToolTip("")
        self.switchParentCheckBox.setObjectName("switchParentCheckBox")
        self.verticalLayout.addWidget(self.switchParentCheckBox)
        self.textCheckBox = QtWidgets.QCheckBox(parent=HgExportDialog)
        self.textCheckBox.setToolTip("")
        self.textCheckBox.setObjectName("textCheckBox")
        self.verticalLayout.addWidget(self.textCheckBox)
        self.datesCheckBox = QtWidgets.QCheckBox(parent=HgExportDialog)
        self.datesCheckBox.setObjectName("datesCheckBox")
        self.verticalLayout.addWidget(self.datesCheckBox)
        self.gitCheckBox = QtWidgets.QCheckBox(parent=HgExportDialog)
        self.gitCheckBox.setObjectName("gitCheckBox")
        self.verticalLayout.addWidget(self.gitCheckBox)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgExportDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(HgExportDialog)
        self.buttonBox.accepted.connect(HgExportDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgExportDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgExportDialog)
        HgExportDialog.setTabOrder(self.directoryPicker, self.patternEdit)
        HgExportDialog.setTabOrder(self.patternEdit, self.changesetsEdit)
        HgExportDialog.setTabOrder(self.changesetsEdit, self.bookmarkCombo)
        HgExportDialog.setTabOrder(self.bookmarkCombo, self.switchParentCheckBox)
        HgExportDialog.setTabOrder(self.switchParentCheckBox, self.textCheckBox)
        HgExportDialog.setTabOrder(self.textCheckBox, self.datesCheckBox)
        HgExportDialog.setTabOrder(self.datesCheckBox, self.gitCheckBox)

    def retranslateUi(self, HgExportDialog):
        _translate = QtCore.QCoreApplication.translate
        HgExportDialog.setWindowTitle(_translate("HgExportDialog", "Export Patches"))
        self.label.setText(_translate("HgExportDialog", "Export Directory:"))
        self.directoryPicker.setToolTip(_translate("HgExportDialog", "Enter the target name"))
        self.directoryPicker.setWhatsThis(_translate("HgExportDialog", "<b>Target name</b>\n"
"<p>Enter the new name in this field. The target must be the new name or an absolute path.</p>"))
        self.label_2.setText(_translate("HgExportDialog", "File Name Pattern:"))
        self.patternEdit.setToolTip(_translate("HgExportDialog", "Enter the file name pattern for the export files"))
        self.patternEdit.setWhatsThis(_translate("HgExportDialog", "<b>File Name Pattern</b>\n"
"<p>Enter the file name pattern to be used to generate the export files\n"
"here. Valid recognized patterns are:</p>\n"
"<table>\n"
"<tr><td>%%</td><td>literal \"%\" character</td></tr>\n"
"<tr><td>%H</td><td>changeset hash (40 hexadecimal digits)</td></tr>\n"
"<tr><td>%N</td><td>number of patches being generated</td></tr>\n"
"<tr><td>%R</td><td>changeset revision number</td></tr>\n"
"<tr><td>%b</td><td>basename of the exporting repository</td></tr>\n"
"<tr><td>%h</td><td>short-form changeset hash (12 hexadecimal digits)</td></tr>\n"
"<tr><td>%n</td><td>zero-padded sequence number, starting at 1</td></tr>\n"
"<tr><td>%r</td><td>zero-padded changeset revision number</td></tr>\n"
"</table>    \n"
""))
        self.label_3.setText(_translate("HgExportDialog", "Changesets:"))
        self.changesetsEdit.setToolTip(_translate("HgExportDialog", "Enter changesets by number, id, range or revset expression one per line"))
        self.label_4.setText(_translate("HgExportDialog", "Bookmark:"))
        self.bookmarkCombo.setToolTip(_translate("HgExportDialog", "Select a bookmark name"))
        self.switchParentCheckBox.setText(_translate("HgExportDialog", "Compare Against Second Parent"))
        self.textCheckBox.setText(_translate("HgExportDialog", "Treat all Files as Text"))
        self.datesCheckBox.setText(_translate("HgExportDialog", "Omit Dates"))
        self.gitCheckBox.setText(_translate("HgExportDialog", "Use Git extended Diff-Format"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
